Page MenuHomePhabricator

Child Protection notices hitting error
Closed, ResolvedPublic2 Story Points

Description

Not sure exactly what error we're getting but just tried to submit a Child Protection takedown and got the following error. (truncated so we'll have to look in the logs for the full error):

401 Client error: POST https://report.cybertip.org/ispws/submit resulted in a 401 Unauthorized response: <?xml version="1.0" encoding="UTF-8" standalone="yes"?><reportResponse><responseCode>2000</responseCode><responseDescrip (truncated...)

Attempt was sent ~10 minutes ago (~4:05PM June 20 Pacific). For now I'll submit using the backup form on NCMECs site.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 11:14 PM

James, can you please set an appropriate priority for this and T197838 and T197836? Our SLA will be:
— UBN interrupts the current sprint
— High gets taken into our next sprint
— Normal (and lower) are ignored until a future focused improvement sprint

Jalexander triaged this task as High priority.Jun 21 2018, 1:59 AM

James, can you please set an appropriate priority for this and T197838 and T197836? Our SLA will be:
— UBN interrupts the current sprint
— High gets taken into our next sprint
— Normal (and lower) are ignored until a future focused improvement sprint

Sure, didn't want to do that without checking in with you first :)

Restricted Application added a subscriber: MGChecker. · View Herald TranscriptJun 21 2018, 4:00 PM
dbarratt set the point value for this task to 2.Jun 29 2018, 6:05 PM
Vvjjkkii renamed this task from Child Protection notices hitting error to ujaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
jrbs renamed this task from ujaaaaaaaa to Child Protection notices hitting error.Jul 1 2018, 3:35 AM
jrbs updated the task description. (Show Details)
jrbs set the point value for this task to 2.
jrbs added a subscriber: Aklapper.
dbarratt claimed this task.Jul 6 2018, 2:54 AM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 25) board.

I believe this has been resolved now. It looks like NCMEC merged two different passwords together. @Jalexander had the other password, when I put that in, initially I got a Bad Request error, but then I discovered that NCMEC does not support png, when I tested with a jpg it worked perfectly. :)

@Jalexander whenever the next one is put in, can you let me know if it works now?

TBolliger reassigned this task from dbarratt to Jalexander.Jul 11 2018, 5:23 PM
TBolliger added a subscriber: dbarratt.
dbarratt closed this task as Resolved.Aug 1 2018, 6:05 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 25) board.